# Uses of Interface
org.bukkit.entity.AbstractSkeleton

Packages that use AbstractSkeleton
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of AbstractSkeleton in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type AbstractSkeleton
Modifier and Type
Field
Description
`static final GoalKey<AbstractSkeleton>`
VanillaGoal.`SKELETON_MELEE`

## Uses of AbstractSkeleton in org.bukkit.entity

Subinterfaces of AbstractSkeleton in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Skeleton`
Represents a Skeleton.
`interface`
`Stray`
Represents a Stray - variant of `AbstractSkeleton`.
`interface`
`WitherSkeleton`
Represents a WitherSkeleton - variant of `AbstractSkeleton`.